---
search:
  tags:
    - Image builds
    - POST
seo:
  description: >-
    Reserve an image build and presign its context upload. Reference for the
    POST /api/admin/image-builds endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Reserve an image build and presign its context upload
  badge: POST
title: Reserve an image build and presign its context upload
type: openapi-operation
---
`POST /api/admin/image-builds`

**Request body** (`application/json`, required)

- `name` (string, required)
- `buildArgs` (object)
- `sizeBytes` (number, required)

Request body example:

```json
{
  "name": "string",
  "buildArgs": {
    "property1": "string",
    "property2": "string"
  },
  "sizeBytes": 0
}
```

**Responses**

- `200` — Success
- `400` — Bad request
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "uploadUrl": "string"
}
```
